DIPlib Documentation - ©1995-2013 Quantitative Imaging Group, Delft University of Technology.

# ArrayNew

Array allocation function

## SYNOPSIS

dip_Error dip_ArrayNew ( array, size, elementSize, resources )

## FUNCTION

This functions allocates the `size` elements of a `dip_Array` and sets the size of the array to `size`. The size of each element is determined by `elementSize`.

## ARGUMENTS

Data type | Name | Description
`dip_Array *` | `array` | Array
`dip_int` | `size` | Size
`dip_int` | `elementSize` | ElementSize
`dip_Resources` | `resources` | Resources tracking structure. See `ResourcesNew`

## SEE ALSO

`ArrayNew`, `ArrayFree`

`ArrayNew`, `IntegerArrayNew`, `FloatArrayNew`, `ComplexArrayNew`, `BoundaryArrayNew`, `FrameWorkProcessArrayNew`, `DataTypeArrayNew`, `ImageArrayNew`, `BooleanArrayNew`, `VoidPointerArrayNew`, `StringArrayNew`, `CoordinateArrayNew`